package com.hr.param;

import com.alibaba.fastjson2.JSON;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class InterfaceConfigParam {

    @Schema(description = "id")
    private Long id;

    @Schema(description = "账号 id")
    private Long accountId;

    @Schema(description = "接口 id")
    private Long interfaceId;

    @Schema(description = "是否回调")
    private Boolean callback;

    @Schema(description = "回调地址")
    private String callbackUrl;

    @Schema(description = "回调次数")
    private Integer callbackNum;

    @Schema(description = "状态")
    private String status;

    @Schema(description = "令牌")
    private String token;

    @Schema(description = "密钥")
    private String secret;

    @Schema(description = "备注")
    private String remark;

    static void main() {
        InterfaceConfigParam param = new InterfaceConfigParam();
        param.setAccountId(450206229784128L);
        param.setInterfaceId(450291268687936L);
        param.setSecret("3d6e9d3037ebea66ac90c20e67066b130b88a918212ba4a437f957f6d2e3aefb");
        param.setStatus("normal");
        param.setRemark("数据宝手机号姓名二要素");
        System.out.println(JSON.toJSON( param));

    }
}
